Skip to content

Get payment attempt history

GET
/v1/payment_requests/{request_id}/attempts

Get the payment attempt history for a payment request.

request_id
required
Request Id
string format: uuid

Successful Response

PaymentAttemptHistoryResponse

Response for payment request attempt history.

object
payment_request_id
required
Payment Request Id
string format: uuid
current_status
required
Current Status
string
total_attempts
required
Total Attempts
integer
entries
required
Entries
Array<object>
PaymentAttemptEntry

A single entry in the payment attempt history.

object
timestamp
required
Timestamp
string format: date-time
action
required
Action
string
old_status
Any of:
string
new_status
Any of:
string
attempt_number
Any of:
integer
details
Any of:
object
key
additional properties
any

Unauthorized

Payment request not found

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object